Skip to main content
POST
/
document
/
{documentId}
/
upload-url
cURL
curl -X POST https://api.okrapdf.com/document/my-doc/upload-url \
  -H "Authorization: Bearer okra_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{"url": "https://example.com/report.pdf"}'
{
  "phase": "idle",
  "urls": {
    "status": "<string>",
    "page_images": "<string>",
    "viewer": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key as Bearer token: Authorization: Bearer okra_xxx

Path Parameters

documentId
string
required

Document ID

Body

application/json
url
string<uri>
required

URL to fetch PDF from

page_images
enum<string>
default:cover

Page image rendering strategy

Available options:
none,
cover,
lazy

Response

Upload accepted

phase
enum<string>
Available options:
idle,
uploading,
parsing,
hydrating,
verifying,
awaiting_review,
complete,
error
urls
object